/*
   
        (c) 2006 by Thomas Michel <tom.michel@arcor.de>

        Kwlan is free software; you can redistribute it and/or modify
        it under the terms of the GNU Library General Public License as
        published by the Free Software Foundation; either version 2 of
        the License, or (at your option) any later version.

        Kwlan is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Library General Public License for more details.

        You should have received a copy of the GNU Library General Public License
        along with this library; see the file COPYING.LIB.  If not, write to
        the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
        Boston, MA 02110-1301, USA.
*/

#include "kdialupstatusdlg.h"

#include <QListWidget>
#include <QString>
#include <k3process.h>
#include <kdebug.h>

KDialupStatusDlg::KDialupStatusDlg(QWidget* parent, const char* name, bool modal, Qt::WFlags fl)
: QDialog(parent) //KDialupStatus(parent,name, modal,fl)
{
    setupUi(this);
}

KDialupStatusDlg::~KDialupStatusDlg()
{
}

/*$SPECIALIZATION$*/
void KDialupStatusDlg::init(QString network, K3Process *tail)
{
    m_network = network;
    m_tailProcess = tail;
}

void KDialupStatusDlg::cancelConnect()
{
    emit disconnectNetwork(m_network);
    if (m_tailProcess) m_tailProcess->kill();
    close();
}

void KDialupStatusDlg::addEvent(QString event)
{
    //kDebug() << "Log event: " << event;
    //sometimes tail gives back mor than on line
    QListWidgetItem *item;
    item = new QListWidgetItem(event);
    if (item == NULL)
        return;
    lvEventHistory->addItem(item);
    //lvEventHistory->ensureItemVisible(item);
    lvEventHistory->scrollToItem(item);

}



#include "kdialupstatusdlg.moc"

